| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
Stdio

# Method Stdio.mkdirhier()

Method mkdirhier

  `int mkdirhier(string pathname, void|int mode)`

Description

  Creates zero or more directories to ensure that the given pathname is a directory.

  If a mode is given, it's used for the new directories after being &'ed with the current umask (on OS'es that support this).

Returns

  Returns zero on failure and nonzero on success.

See also

  mkdir()